Deep Security Manager REST API

Path: / rest / license / addActivationCode

Adds the activation code for the specified module


Method Summary
ResourceDescription
POST /rest/license/addActivationCode?moduleNumber=…&activationCode=…&sID=…Adds the activation code for the specified module

Method Detail
HTTP Example:
POST /rest/license/addActivationCode?moduleNumber=…&activationCode=…&sID=…

API Example:

ILicenseAPI.addActivationCode({'moduleNumber': /* moduleNumber -1 for all modules, 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP */,
  'activationCode': /* activationCode activation code */,
  'sID': /* sID */});

Adds the activation code for the specified module

Output:
AddActivationCodeResponse - Status 200 means ok
Query parameters:
moduleNumber - -1 for all modules, 0 for AV, 1 for NET or VP, 2 for IM, 3 for LI, 4 for SAP
activationCode - activation code
sID
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.